Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - stepmania-git

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: stepmania-git 5.1.0a3+72+g70ed6ac-1

Git Clone URL: https://aur-dev.archlinux.org/stepmania-git.git (read-only)
Package Base: stepmania-git
Description: Advanced cross-platform rhythm game designed for home and arcade use
Upstream URL: http://www.stepmania.com/
Licenses: MIT
Conflicts: stepmania
Provides: stepmania=5.1
Replaces: sm-ssc-hg
Submitter: djpohly
Maintainer: djpohly
Last Packager: djpohly
Votes: 24
Popularity: 0.667627
First Submitted: 2014-02-08 23:40
Last Updated: 2016-11-01 15:57

Latest Comments

1 2 3 4 Next › Last »

djpohly commented on 2016-11-01 16:00

Fixed, thanks!

Espionage724 commented on 2016-10-13 08:15

yasm is required for ffmpeg building and support.

djpohly commented on 2016-08-30 15:53

Git clone isn't controlled by the PKGBUILD, unless you have some ancient setup from before makepkg got VCS support. See https://bugs.archlinux.org/task/34677 for the reasons makepkg doesn't do shallow clones on -git packages.

If you do have some reason to want -git packages to clone shallowly, it would probably be easy to hack it into your /usr/share/makepkg/source/git.sh.

(Or, perhaps, you could make the first clone in the PKGBUILD directory manually, then let makepkg do its local clone of that as usual.)

Artefact2 commented on 2016-08-30 15:38

The stepmania git repository is huge. I suggest using a shallow clone to save time, bandwidth and disk space.

ase1590 commented on 2016-01-13 17:11

Just tried this, the random movie player seems broken. Possibly a new change in stepmania/ffmpeg? It doesnt appear to throw errors, just displays a black screen instead of the movie.

djpohly commented on 2015-06-27 23:03

The PKGBUILD, as in many -git packages, contains a pkgver() function which updates the version along with the source. There's no need to update the PKGBUILD itself unless there is a change in the build process.

jamesan commented on 2015-06-27 22:33

The current upstream version is: v5.0.9.r10.g398fb88-1.

djpohly commented on 2014-12-01 16:48

Ah, I see. I've updated the PKGBUILD to revert the breaking commit, which is what we've been doing on our local cabinet here without issue. I'll look into that patch in the future.

qmega commented on 2014-11-23 05:20

The patch I linked to is supposed to be the adjusted version you're talking about; it fixes the double free issue and should work on newer and older versions of ffmpeg. AFAIK it hasn't been merged because they want more testing and because they want to discourage building against system ffmpeg.

djpohly commented on 2014-11-22 21:02

The patch was reverted upstream because it broke other distros with older FFmpegs. If someone can adjust the patch to play nicely with both current versions and older ones, I'd guess it would be accepted fairly easily.

In the meantime, I'll update the PKGBUILD to patch for latest FFmpeg, sometime in the next couple days probably.